Summary:       A thread-safe hash library
Name:          mhash
Version:       0.9.9
Release:       5%{?dist}%{?pext}
License:       LGPL
Group:         System Environment/Libraries
Source0:       http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:        %{name}-0.9.9-keygen_buffersize.patch
URL:           http://%{name}.sourceforge.net/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Nikos Mavroyanopoulos <nmav@hellug.gr>
Obsoletes:     lib%{name}

%description
Mhash is a thread-safe hash library implemented in C, and provides an
uniform interface to a large number of hash algorithms. These algorithms
can be used to compute checksums, message digests, and other signatures.
The HMAC support implements the basics for message authentication, fol-
lowing RFC 2104.


%package       devel
Summary:       Development tools for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}
Obsoletes:     lib%{name}-devel

%description   devel
The %{name}-devel package contains the static libraries and header files
for developing software using %{name}.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	--enable-shared \
	--enable-static

%{__make} %{?_smp_mflags}


%check
%{__make} check


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0644 doc/*.c ${RPM_BUILD_ROOT}%{_datadir}/%{name}/sample

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib%{name}.so.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc THANKS TODO
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root)
%doc doc/skid2-authentication
%{_includedir}/%{name}.h
%{_includedir}/mutils
%{_libdir}/lib%{name}.*a
%{_libdir}/lib%{name}.so
%{_datadir}/%{name}
%{_mandir}/man3/%{name}.3*


%changelog
* Sat Nov 01 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.9-5
- Fixed buffer size for keygen

* Tue Mar 25 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.9.9-4
- Rewritten for buildsystem

* Wed May 09 2007 peter.pramberger@member.fsf.org 0.9.9-3
- new version (0.9.9)

* Mon Feb 26 2007 peter.pramberger@member.fsf.org 0.9.8.1-3
- new version (0.9.8.1)

* Thu Jan 25 2007 peter.pramberger@member.fsf.org 0.9.7.1-3
- some spec file cleanups (x86_64 support)

* Mon Jun 26 2006 peter.pramberger@member.fsf.org
- created
